Package org.springframework.security.web.authentication.preauth

# Class PreAuthenticatedCredentialsNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.core.AuthenticationException
org.springframework.security.web.authentication.preauth.PreAuthenticatedCredentialsNotFoundException

All Implemented Interfaces:
  `Serializable`

public class PreAuthenticatedCredentialsNotFoundException extends org.springframework.security.core.AuthenticationException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PreAuthenticatedCredentialsNotFoundException(String msg)`
`PreAuthenticatedCredentialsNotFoundException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PreAuthenticatedCredentialsNotFoundException

public PreAuthenticatedCredentialsNotFoundException(String msg)

### PreAuthenticatedCredentialsNotFoundException

public PreAuthenticatedCredentialsNotFoundException(String message, Throwable cause)

Parameters:
  `message` - The message for the Exception
  `cause` - The Exception that caused this Exception.